<ul class="nav nav-tabs" role="tablist">
  <li role="presentation" class="active"><a href="#tab-description" aria-controls="tab-description" role="tab" data-toggle="tab">Description</a></li>
  <li role="presentation"><a href="#tab-product-details" aria-controls="tab-product-details" role="tab" data-toggle="tab">Product Details</a></li>
  <li role="presentation"><a href="#tab-delivery" aria-controls="tab-delivery" role="tab" data-toggle="tab">Delivery</a></li>
  <li role="presentation"><a href="#tab-reviews" aria-controls="tab-reviews" role="tab" data-toggle="tab">Reviews</a></li>
  <li role="presentation"><a href="#tab-qna" aria-controls="tab-qna" role="tab" data-toggle="tab">Q and A</a></li>
</ul>
<div class="tab-content">
  
  <div role="tabpanel" class="tab-pane active" id="tab-description">
    {{ product.description }}
  </div>
  
  <div role="tabpanel" class="tab-pane" id="tab-product-details">
    <h4 class="mb20">{{ section.settings.tab_1_title | upcase }}</h4>
    <table class="table table-striped table-bordered">
      <tbody>
        <tr>
          <th>Manufacturer</th>
          <td>{{ product.vendor }}</td>
        </tr>
		<tr>
		  <td colspan="2"><p>More specifications can be placed here</p></td>
		</tr>
        {% comment %}<!-- { % for meta_field in product.metafields.engine %}
        <tr>
          <th>{ { meta_field | first | replace: '_', ' ' }}</th>
          <td>{ { meta_field | last }}</td>
        </tr>
        { % endfor %} -->{% endcomment %}
      </tbody>
    </table>
  </div>
  
  <div role="tabpanel" class="tab-pane" id="tab-delivery">
    <h4 class="mb20">{{ section.settings.tab_3_title | upcase }}</h4>
    {% assign blocks_shown_delivery = 0 %}
    {% if section.blocks.size > 0 %}
      {% for block in section.blocks %}
        {% if block.type == 'delivery' %}
          {% assign blocks_shown_delivery = blocks_shown_delivery | plus: 1 %}
    <h5 class="mt20">{{ block.settings.title }}</h5>
    {{ block.settings.content }}
        {% endif %}
      {% endfor %}
    {% endif %}
    {% if blocks_shown_delivery == 0 %}
    <p>No delivery information is available.</p>
    {% endif %}
  </div>
  
  <div role="tabpanel" class="tab-pane" id="tab-reviews">
    <div id="shopify-product-reviews" data-id="{{ product.id }}">{{ product.metafields.spr.reviews }}</div>
  </div>
  
  <div role="tabpanel" class="tab-pane" id="tab-qna">
    <h4 class="mb20">{{ section.settings.tab_6_title | upcase }}</h4>
    {% assign blocks_shown_qna = 0 %}
    {% if section.blocks.size > 0 %}
    <div class="panel-group" id="prod-details-qna-accordion" role="tablist" aria-multiselectable="true">
      {% for block in section.blocks %}
        {% if block.type == 'qna' %}
          {% assign blocks_shown_qna = blocks_shown_qna | plus: 1 %}
      <div class="panel panel-default">
        <div class="panel-heading" role="tab" id="pdqna-heading-{{ forloop.index }}">
          <h4 class="panel-title">
            <a{% if blocks_shown_qna > 1 %} class="collapsed"{% endif %} role="button" data-toggle="collapse" data-parent="#prod-details-qna-accordion" href="#pdqna-collapse-{{ forloop.index }}" aria-expanded="{% if blocks_shown_qna == 1 %}true{% else %}false{% endif %}" aria-controls="pdqna-collapse-{{ forloop.index }}">
              {{ block.settings.question }}
            </a>
          </h4>
        </div>
        <div id="pdqna-collapse-{{ forloop.index }}" class="panel-collapse collapse{% if blocks_shown_qna == 1 %} in{% endif %}" role="tabpanel" aria-labelledby="pdqna-heading-{{ forloop.index }}">
          <div class="panel-body">
            {{ block.settings.answer }}
          </div>
        </div>
      </div>
        {% endif %}
      {% endfor %}
    </div>
    {% endif %}
    {% if blocks_shown_qna == 0 %}
    <p>No questions and answers are available.</p>
    {% endif %}
  </div>
  
</div>
{% schema %}
  {
    "name": "Products Details - Tabs",
    "settings": [
      {
        "type": "header",
        "content": "Tab - Product Details"
      },
      {
        "type": "text",
        "id": "tab_1_title",
        "label": "Title"
      },
      {
        "type": "header",
        "content": "Tab - Manufacturer"
      },
      {
        "type": "text",
        "id": "tab_2_title",
        "label": "Title",
        "info": "Use [VENDOR] to place manufacturer's name"
      },
      {
        "type": "header",
        "content": "Tab - Delivery"
      },
      {
        "type": "text",
        "id": "tab_3_title",
        "label": "Title"
      },
      {
        "type": "paragraph",
        "content": "To add delivery details, please add 'Delivery Info' content blocks."
      },
      {
        "type": "header",
        "content": "Tab - Warranty"
      },
      {
        "type": "text",
        "id": "tab_4_title",
        "label": "Title"
      },
      {
        "type": "richtext",
        "id": "tab_4_content",
        "label": "Content"
      },
      {
        "type": "header",
        "content": "Tab - Q and A"
      },
      {
        "type": "text",
        "id": "tab_6_title",
        "label": "Title"
      },
      {
        "type": "paragraph",
        "content": "To add q and a, please add 'Q and A' content blocks."
      }
    ],
    "blocks": [
      {
        "type": "delivery",
        "name": "Delivery Info",
        "settings": [
          {
            "type": "text",
            "id": "title",
            "label": "Title"
          },
          {
            "type": "richtext",
            "id": "content",
            "label": "Content"
          }
        ]
      },
      {
        "type": "qna",
        "name": "Q and A",
        "settings": [
          {
            "type": "text",
            "id": "question",
            "label": "Question"
          },
          {
            "type": "richtext",
            "id": "answer",
            "label": "Answer"
          }
        ]
      }
    ]
  }
{% endschema %}

{% stylesheet %}
{% endstylesheet %}

{% javascript %}
{% endjavascript %}
